# Uses of Class
org.apache.avro.reflect.ReflectData

Packages that use ReflectData
Package
Description
org.apache.avro.reflect
Use Java reflection to generate schemas and protocols for existing classes.

## Uses of ReflectData in org.apache.avro.reflect

Subclasses of ReflectData in org.apache.avro.reflect
Modifier and Type
Class
Description
`static class`
`ReflectData.AllowNull`
`ReflectData` implementation that permits null field values.
Methods in org.apache.avro.reflect that return ReflectData
Modifier and Type
Method
Description
`ReflectData`
ReflectData.`addStringable(Class c)`
Cause a class to be treated as though it had an `Stringable` * annotation.
`static ReflectData`
ReflectData.`get()`
Return the singleton instance.
`ReflectData`
ReflectData.`setDefaultGeneratedValue(Type type, Object value)`
Set the default value for a type.
`ReflectData`
ReflectData.`setDefaultsGenerated(boolean enabled)`
Enable or disable `default reflection`
Constructors in org.apache.avro.reflect with parameters of type ReflectData
Modifier
Constructor
Description
``
`ReflectDatumReader(ReflectData data)`
Construct given a `ReflectData`.
``
`ReflectDatumReader(Schema writer, Schema reader, ReflectData data)`
Construct given writer's and reader's schema and the data model.
``
`ReflectDatumWriter(Class<T> c, ReflectData data)`
`protected`
`ReflectDatumWriter(ReflectData reflectData)`
``
`ReflectDatumWriter(Schema root, ReflectData reflectData)`